Bug 232241 - devel/py-taskflow: Update to 3.1.0
Summary: devel/py-taskflow: Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 232240
Blocks: 232244 232245
  Show dependency treegraph
 
Reported: 2018-10-14 12:35 UTC by Kai Knoblich
Modified: 2019-01-29 14:00 UTC (History)
4 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-taskflow-3.1.0.patch (3.85 KB, patch)
2018-10-14 12:35 UTC, Kai Knoblich
kai: maintainer-approval? (alexander.nusov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-10-14 12:35:06 UTC
Created attachment 198123 [details]
py-taskflow-3.1.0.patch

Hello,

attached is the patch that updates devel/py-taskflow to 3.1.0 . 

Changes by upstream:
- https://git.openstack.org/cgit/openstack/taskflow/log/?h=stable/queens

Changes to the port:
- Added LICENSE_FILE
- enabled building for Python 3+
- updated WWW

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-ALPHA9 amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK


Note:
Before this port can be committed the math/py-networkx1 package must be added first (see also bug #232240 )
Comment 1 Kurt Jaeger freebsd_committer 2019-01-12 15:57:38 UTC
taskflow 3.4.0 is the latest. According to

https://docs.openstack.org/taskflow/latest/user/history.html

it supports networkx > 1.x since 3.2.0.
Comment 2 Kurt Jaeger freebsd_committer 2019-01-12 15:58:55 UTC
A patch to 3.4.0 should update pkg-descr for the new page at

https://docs.openstack.org/taskflow/latest/
Comment 3 Kai Knoblich freebsd_committer 2019-01-12 16:10:51 UTC
(In reply to Kurt Jaeger from comment #1)

That's right, but the latest version is not officially approved by upstream for the Queens Release series: https://releases.openstack.org/queens/index.html#queens-taskflow

The misc/py-glance port won't work properly with the latest version of py-taskflow and throws some exceptions about non-existent attributes as far as I can recall.

Here's a quick overview about the current situation about the major OpenStack ports:

- misc/py-cinder
- misc/py-glance
- security/py-keystone (already updated to the Queens release)
- www/py-horizon (already updated to the Queens release)

emulators/py-nova was deleted to end of 2018 because it was broken for more than 6 months.
Comment 4 commit-hook freebsd_committer 2019-01-29 14:00:28 UTC
A commit references this bug:

Author: miwi
Date: Tue Jan 29 14:00:02 UTC 2019
New revision: 491561
URL: https://svnweb.freebsd.org/changeset/ports/491561

Log:
  - Update to 3.1.0
  - Added LICENSE_FILE
  - Enabled building for Python 3+
  - Updated WWW

  Changes by upstream:
  - https://git.openstack.org/cgit/openstack/taskflow/log/?h=stable/queens

  PR:		232241
  Submitted by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-taskflow/Makefile
  head/devel/py-taskflow/distinfo
  head/devel/py-taskflow/pkg-descr